
QGIS Application - Bug report #13642

Disabling the GdalTools plugin doesn't clear its tools under Raster menu

2015-10-20 09:19 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21678

Description

In the Plugins panel, deactivate the GdalTools plugin. Ok

The tools that belong to this plugin are always listed (although not functional) in the Raster menu.

If you reactivate the GdalTools plugin, a new list of tools is added to the previous one.

And so on...

master 4cdf05f

Associated revisions

Revision dd2a422e - 2015-12-12 02:24 PM - Sebastian Dietrich 

Remove menu items when GDALtools plugin is unloaded (fixes #13642)

Revision 666eda68 - 2015-12-12 09:02 PM - Jürgen Fischer

Merge pull request #2574 from SebDieBln/GDALtools_removeMenuItemsOnUnload

Remove menu items when GDALtools plugin is unloaded (fixes #13642)

History

#1 - 2015-10-20 09:21 AM - Harrissou Santanna

- File MultipleGdalTools.png added

#2 - 2015-11-07 11:02 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

- Category set to GDAL Tools

#3 - 2015-12-12 08:38 AM - Sebastian Dietrich

See PR 2574 for a solution.

#4 - 2015-12-12 12:02 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"666eda68560c73ff72e2e1efb82a1d00a5eb48ff".
https://github.com/qgis/QGIS/pull/2574
